hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Becke <be...@u.washington.edu>
Subject Re: cactus-13-1.5-rc and commons-httpclient-2.0-rc2.jar works on jdk1.4 and above only?
Date Wed, 29 Oct 2003 05:25:14 GMT
I've created a new build and uploaded it to 
<http://www.apache.org/~mbecke/httpclient-2.0-rc2/>.  This build is 
identical to the original RC2 build except for the following:

  - the distribution was created with JDK 1.2.2
  - HttpState has been changed to ensure that 
StringBuffer.append(StringBuffer) is not used

Please take a look and let me know.

Mike

On Oct 28, 2003, at 10:05 PM, Michael Becke wrote:

> Okay.  I will apply a small patch to 2.0 and HEAD shortly that should 
> take care of this problem.  Afterwards I will regenerate the 2.0RC2 
> release, hopefully with 1.2.2.  I have had some trouble generating the 
> distribution with 1.22 in the past, but I'll give it a try.
>
> Mike
>
> On Oct 28, 2003, at 8:13 PM, Adrian Sutton wrote:
>
>> On 29/10/03 8:12 AM, "Michael Becke" <becke@u.washington.edu> wrote:
>>
>>> I think I've found the problem.  In 1.4, Sun added
>>> StringBuffer.append(StringBuffer) to compliment the existing
>>> StringBuffer.append(Object).  The problem is that STUPID me ran maven
>>> for this release with 1.4.  The method call was bound to the
>>> append(StringBuffer) method, since it is the best option in 1.4.  It
>>> looks like the build will have to be regenerated with 1.2.2.
>>
>> That's probably the best option for redoing the rc2 release, however 
>> we
>> should change the code to be something like:
>> StringBuffer buf1 = new StringBuffer();
>> ...
>> buf1.append(getOtherStringBuffer().toString());
>>
>> The .toString() will make sure that we always use the .append(String) 
>> method
>> regardless of which JVM the build is compiled on, thus avoiding this 
>> problem
>> in the future.
>>
>>
>>> Does anyone what JVM is used for nightlies?
>>
>> I would have thought it would be 1.4 so that projects which depend on 
>> 1.4
>> would compile correctly, besides GUMP is all about using the latest of
>> everything.
>>
>>> Mike
>>
>> Regards,
>>
>> Adrian Sutton.
>>
>> ----------------------------------------------
>> Intencha "tomorrow's technology today"
>> Ph: 38478913 0422236329
>> Suite 8/29 Oatland Crescent
>> Holland Park West 4121
>> Australia QLD
>> www.intencha.com
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: 
>> commons-httpclient-dev-unsubscribe@jakarta.apache.org
>> For additional commands, e-mail: 
>> commons-httpclient-dev-help@jakarta.apache.org
>>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: 
> commons-httpclient-dev-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: 
> commons-httpclient-dev-help@jakarta.apache.org
>


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-httpclient-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-httpclient-dev-help@jakarta.apache.org


Mime
View raw message